#ifndef __IMAGE_IO_H__
#define __IMAGE_IO_H__

#define EXIF_EXPOSURE_TIME     0x829a
#define EXIF_ISO_SPEED_RATINGS 0x8827
#define EXIF_F_NUMBER          0x829d

#include "image_types.h"

namespace s3d_merge {

class ImageData;

ImageData *LoadImageData(const char *);

bool WriteImageLDR(const char *, const Image16 *);
bool WriteImageLDR(const char *, const FloatImage *);

}

#endif
